io.vertx.ext.web.handler.sockjs

## Class PermittedOptions

- java.lang.Object
- - io.vertx.ext.web.handler.sockjs.PermittedOptions

-     public class PermittedOptions
      extends Object

  Specify a match to allow for inbound and outbound traffic using the `BridgeOptions`.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_ADDRESS` The default permitted address : `null`.
    `static String` | `DEFAULT_ADDRESS_REGEX` The default permitted address regex : `null`.
    `static JsonObject` | `DEFAULT_MATCH` The default permitted match : `null`.
    `static String` | `DEFAULT_REQUIRED_AUTHORITY` The default permitted required authority : `null`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermittedOptions()`
    `PermittedOptions(JsonObject json)`
    `PermittedOptions(PermittedOptions that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()`
    `String` | `getAddressRegex()`
    `JsonObject` | `getMatch()`
    `String` | `getRequiredAuthority()`
    `PermittedOptions` | `setAddress(String address)` The exact address the message is being sent to.
    `PermittedOptions` | `setAddressRegex(String addressRegex)` A regular expression that will be matched against the address.
    `PermittedOptions` | `setMatch(JsonObject match)` This allows you to allow messages based on their structure.
    `PermittedOptions` | `setRequiredAuthority(String requiredAuthority)` Declare a specific authority that user must have in order to allow messages

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ADDRESS

          public static String DEFAULT_ADDRESS

      The default permitted address : `null`.

    - #### DEFAULT_ADDRESS_REGEX

          public static String DEFAULT_ADDRESS_REGEX

      The default permitted address regex : `null`.

    - #### DEFAULT_REQUIRED_AUTHORITY

          public static String DEFAULT_REQUIRED_AUTHORITY

      The default permitted required authority : `null`.

    - #### DEFAULT_MATCH

          public static JsonObject DEFAULT_MATCH

      The default permitted match : `null`.

  - ### Constructor Detail

    - #### PermittedOptions

          public PermittedOptions()

    - #### PermittedOptions

          public PermittedOptions(PermittedOptions that)

    - #### PermittedOptions

          public PermittedOptions(JsonObject json)

  - ### Method Detail

    - #### getAddress

          public String getAddress()

    - #### setAddress

          public PermittedOptions setAddress(String address)

      The exact address the message is being sent to. If you want to allow messages based on an exact address you use this field.
      Parameters:
        `address` - the address
      Returns:
        a reference to this, so the API can be used fluently

    - #### getAddressRegex

          public String getAddressRegex()

    - #### setAddressRegex

          public PermittedOptions setAddressRegex(String addressRegex)

      A regular expression that will be matched against the address. If you want to allow messages based on a regular expression you use this field. If the `setAddress(java.lang.String)` value is specified this will be ignored.
      Parameters:
        `addressRegex` - the address regex
      Returns:
        a reference to this, so the API can be used fluently

    - #### getRequiredAuthority

          public String getRequiredAuthority()

    - #### setRequiredAuthority

          public PermittedOptions setRequiredAuthority(String requiredAuthority)

      Declare a specific authority that user must have in order to allow messages
      Parameters:
        `requiredAuthority` - the authority
      Returns:
        a reference to this, so the API can be used fluently

    - #### getMatch

          public JsonObject getMatch()

    - #### setMatch

          public PermittedOptions setMatch(JsonObject match)

      This allows you to allow messages based on their structure. Any fields in the match must exist in the message with the same values for them to be allowed. This currently only works with JSON messages.
      Parameters:
        `match` - the match json object
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2015. All Rights Reserved.